Skip to main content
GET
/
api
/
v2
/
background-jobs
List background job
curl --request GET \
  --url https://api.instantly.ai/api/v2/background-jobs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "675266e304a8e55b17f0228b",
      "workspace_id": "019e3bd1-8de0-718e-98a7-c64a90181c29",
      "type": "move-leads",
      "progress": 0,
      "status": "pending",
      "created_at": "2026-05-18T16:00:49.632Z",
      "updated_at": "2026-05-18T16:00:49.632Z",
      "user_id": "019e3bd1-8de0-718e-98a7-c64b49b3b43b",
      "entity_id": "019e3bd1-8de0-718e-98a7-c64caaca673c",
      "entity_type": "list",
      "data": {
        "moved_lead_emails": [
          "jane@example.com",
          "john@example.com"
        ]
      }
    }
  ],
  "next_starting_after": "019e3bd1-b520-7f06-bd99-800691b23578"
}

Documentation Index

Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string
Example:

"507f1f77bcf86cd799439011"

ids
string

The ID of the job. Multiple IDs can be provided as a comma-separated list

Example:

"676f3caadedbfe9abea3bab4"

included_ids
string

The ID of the job to be included in the response. Multiple IDs can be provided as a comma-separated list

Example:

"676f3caadedbfe9abea3bab4"

excluded_ids
string

The ID of the job to be excluded from the response. Multiple IDs can be provided as a comma-separated list

Example:

"676f3caadedbfe9abea3bab4"

type
enum<string>

The type of the job

Available options:
move-leads,
import-leads,
export-leads,
update-warmup-accounts,
rename-variable
Example:

"move-leads"

entity_type
enum<string>

The type of the entity

Available options:
list,
campaign,
workspace
Example:

"list"

entity_id
string

The ID of the entity. Multiple IDs can be provided as a comma-separated list

Example:

"676f3caadedbfe9abea3bab4"

status
string

The status of the job. Multiple statuses can be provided as a comma-separated list. Valid statuses are: pending, in-progress, success, failed

Example:

"pending,in-progress"

sort_column
enum<string>

The column to sort the results by

Available options:
created_at,
updated_at
Example:

"created_at"

sort_order
enum<string>

The order to sort the results by

Available options:
asc,
desc
Example:

"desc"

Response

The list of Background Job

items
Background Job · object[]
required

The list of Background Job

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019e3bd1-b520-7f06-bd99-800691b23578"